Name:           pki-common
Version:        1.3.6
Release:        4%{?dist}
Summary:        Dogtag Certificate System - PKI Common Framework
URL:            http://pki.fedoraproject.org/
License:        GPLv2
Group:          System Environment/Base

BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ant
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  jpackage-utils
BuildRequires:  jss >= 4.2.6
BuildRequires:  ldapjdk
BuildRequires:  osutil
BuildRequires:  pki-symkey
BuildRequires:  pki-util
BuildRequires:  velocity
BuildRequires:  xalan-j2
Buildrequires:  xerces-j2

Requires:       java >= 1:1.6.0
Requires:       jss >= 4.2.6
Requires:       osutil
Requires:       pki-common-ui
Requires:       pki-java-tools
Requires:       pki-setup
Requires:       pki-symkey
Requires:       tomcatjss
Requires:       %{_javadir}/ldapjdk.jar
Requires:       %{_javadir}/velocity.jar
Requires:       %{_javadir}/xalan-j2.jar
Requires:       %{_javadir}/xerces-j2.jar
Requires:       velocity

Source0:        http://pki.fedoraproject.org/pki/sources/%{name}/%{name}-%{version}.tar.gz

%if 0%{?rhel}
# For EPEL, override the '_sharedstatedir' macro on RHEL
%define         _sharedstatedir    /var/lib
%endif

%description
Dogtag Certificate System is an enterprise software system designed
to manage enterprise Public Key Infrastructure (PKI) deployments.

The Dogtag PKI Common Framework is required by the following four
Dogtag PKI subsystems:

    the Dogtag Certificate Authority,
    the Dogtag Data Recovery Manager,
    the Dogtag Online Certificate Status Protocol Manager, and
    the Dogtag Token Key Service.

%package javadoc
Summary:    Dogtag Certificate System - PKI Common Framework Javadocs
Group:      Documentation

Requires:   pki-common = %{version}-%{release}

%description javadoc
Dogtag Certificate System - PKI Common Framework Javadocs

This documentation pertains exclusively to version %{version} of
the Dogtag PKI Common Framework.

%prep

%setup -q

%build
ant \
    -Dproduct.ui.flavor.prefix="" \
    -Dproduct.prefix="pki" \
    -Dproduct="common" \
    -Dversion="%{version}"

%install
rm -rf %{buildroot}
cd dist/binary
unzip %{name}-%{version}.zip -d %{buildroot}
cd %{buildroot}%{_javadir}/pki
mv certsrv.jar certsrv-%{version}.jar
ln -s certsrv-%{version}.jar certsrv.jar
mv cms.jar cms-%{version}.jar
ln -s cms-%{version}.jar cms.jar
mv cmsbundle.jar cmsbundle-%{version}.jar
ln -s cmsbundle-%{version}.jar cmsbundle.jar
mv cmscore.jar cmscore-%{version}.jar
ln -s cmscore-%{version}.jar cmscore.jar
mkdir -p %{buildroot}%{_sharedstatedir}/tomcat5/common/lib
cd %{buildroot}%{_sharedstatedir}/tomcat5/common/lib
ln -s %{_javadir}/ldapjdk.jar ldapjdk.jar
ln -s %{_javadir}/velocity.jar velocity.jar
ln -s %{_javadir}/xalan-j2.jar xalan-j2.jar
ln -s %{_javadir}/xerces-j2.jar xerces-j2.jar

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_javadir}/pki/
%{_datadir}/pki/
%{_sharedstatedir}/tomcat5/common/lib/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}/

%changelog
* Mon Apr 26 2010 Andrew Wnuk <awnuk@redhat.com> 1.3.6-4
- Bugzilla Bug #553423 - displayBySerial returns a cryptic error
  if an unknown serial number is requested

* Mon Apr 26 2010 Ade Lee <alee@redhat.com> 1.3.6-3
- Bugzilla Bug 577949 - clone from a clone requires contacting original 
  security domain master

* Fri Apr 23 2010 Andrew Wnuk <awnuk@redhat.com> 1.3.6-2
- Bugzilla Bug #501088 - agent cannot revoke cert with serial same as sub ca

* Wed Apr 21 2010 Andrew Wnuk <awnuk@redhat.com> 1.3.6-1
- Bugzilla Bug #493765 - console renewal fix for ca, ocsp, and ssl certificates

* Thu Apr 8 2010 Matthew Harmsen <mharmsen@redhat.com> 1.3.5-1
- Bugzilla Bug #564131 - Config wizard : all subsystems - done panel text
  needs correction
- Update source tarball

* Tue Apr 6 2010 Matthew Harmsen <mharmsen@redhat.com> 1.3.4-2
- Bugzilla Bug #568787 - pki-ca fails to create SSL connectors
- Bugzilla Bug #573038 - Unable to login on Dogtag EPEL installation

* Mon Mar 22 2010 Christina Fu <cfu@redhat.com> 1.3.4-1
- Bugzilla Bug #522343 Add asynchronous key recovery mode

* Tue Mar 9 2010 Ade Lee <alee@redhat.com> 1.3.3-1
- Bugzilla Bug #545935 -  Add new client-auth ee port to address CVE-2009-3555 
  TLS: MITM attacks via session renegotiation
- Bugzilla Bug #565842 - CA Clone instance configuration throws errors

* Wed Feb 10 2010 Andrew Wnuk <awnuk@redhat.com> 1.3.2-1
- Bugzilla Bug #516632 -  CS Incorrectly Issuing Multiple Certificates
  from the Same Request

* Fri Jan 29 2010 Matthew Harmsen <mharmsen@redhat.com> 1.3.1-2
- Bugzilla Bug #557638 -  Rename 'symkey' package to 'pki-symkey' package
  Renamed 'symkey' to 'pki-symkey'

* Mon Jan 25 2010 Matthew Harmsen <mharmsen@redhat.com> 1.3.1-1
- Bugzilla Bug #547527 -  dogtag does not work with latest 389 DS
- Temporarily backed out change required for
  Bugzilla Bug #557638 -  Rename 'symkey' package to 'pki-symkey' package
- Moved "_sharedstatedir/tomcat5/common/lib/cmsutil.jar" link to 'pki-util'
- Moved "_sharedstatedir/tomcat5/common/lib/nsutil.jar" link to 'pki-util'

* Thu Jan 21 2010 Matthew Harmsen <mharmsen@redhat.com> 1.3.0-9
- Bugzilla Bug #557638 -  Rename 'symkey' package to 'pki-symkey' package

* Fri Jan 15 2010 Kevin Wright <kwright@redhat.com> 1.3.0-8
- Removed Requires:       rhgb

* Thu Jan 14 2010 Matthew Harmsen <mharmsen@redhat.com> 1.3.0-7
- Bugzilla Bug #441974 -  CA Setup Wizard cannot create new Security Domain.
- Moved 'Conflicts: tomcat-native' to lower-level 'tomcatjss' package

* Thu Dec 24 2009 Kevin Wright <kwright@redhat.com> 1.3.0-6
- Bugzilla Bug #522207 - packaging for Fedora Dogtag
- Removed Requires:       rhgb

* Wed Dec 23 2009 Kevin Wright <kwright@redhat.com> 1.3.0-5
- Bugzilla Bug #522207 - packaging for Fedora Dogtag
- Removed Requires:       _javadir/pki/cmsutil.jar
- Removed Requires:       _javadir/pki/nsutil.jar
- Removed BuildRequires:  dogtag-pki-common-ui
- added   Requires:       pki-util
- changed -javadoc to: defattr(-,root,root,-)

* Mon Dec 7 2009 Matthew Harmsen <mharmsen@redhat.com> 1.3.0-4
- Bugzilla Bug #522207 - packaging for Fedora Dogtag
- Removed 'postinstall' tasks
- Removed 'with exceptions' from License

* Tue Nov 24 2009 Matthew Harmsen <mharmsen@redhat.com> 1.3.0-3
- Bugzilla Bug #522207 - packaging for Fedora Dogtag
- Use "_javadir" macro when appropriate

* Mon Nov 2 2009 Matthew Harmsen <mharmsen@redhat.com> 1.3.0-2
- Bugzilla Bug #522207 - packaging for Fedora Dogtag
- Take ownership of directories

* Tue Oct 13 2009 Ade Lee <alee@redhat.com> 1.3.0-1
- Bugzilla Bug #522207 - packaging for Fedora Dogtag
